Results 1 to 1 of 1

Thread: Xplico Configuration Issues

Threaded View

  1. #1
    Just burned his ISO
    Join Date
    May 2011
    Posts
    9

    Default Xplico Configuration Issues

    The following issue is related to BackTrack 5 GNOME 32-bit (good MD5 match) running on a HP EliteBook 8740w with 8GB of RAM.

    I get a dead page (Apache calls out "Unable to connect: Firefox can't establish a connection to the server at localhost:9876") when starting Xplico with the following command "/etc/init.d/apache2 restart && sleep 4 && /opt/xplico/bin/xplico start && echo '' && echo '--------------- READ ME ------------------' && echo 'WARNING: Apache2 server started. You will have to stop it
    *MANUALLY*, if you no longer need the service.' && echo '--------------- READ ME ------------------' && echo '' && firefox http://localhost:9876 & 1>/dev/null 2>&1 && read" [stolen and modified from BT4r2 menu].

    The following steps have been taken to fix (stolen from the Xplico installation Wiki):

    cp /opt/xplico/cfg/apache_xi /ect/apache2/sites-enabled/xplico

    Edit /etc/apache2/ports.conf to add the following lines --
    # Xplico Host Port
    NameVirtualHost *:9876
    Listen 9876

    Modifiy the permissions of /opt/xplico/cfg to be read/write for the Apache webserver.
    chmod 0777 /opt/xplico/cfg

    Edit /etc/php5/apache2/php.ini and change the values of post_max and upload_max to the following --
    post_max_size = 100M
    upload_max_filesize = 100M

    Enable several modes for Apache --
    a2enmod rewrite
    a2enmod php5
    a2enmod php5-sqlite

    The big problem is..."a2enmod php5-sqlite" reports back "ERROR: Module php5-sqlite does not exist!" Running "apt-get install php5-sqlite" reports back "php5-sqlite is already the newest version." Xplico needs php5-sqlite to render its pages. I have tried a forced reinstall and still the same a2enmod errors. Suggestions? I hope this isn't just me being retarded. Thanks in advance.

    [UPDATE]
    You guys ROCK!!! I just did a "apt-get update && apt-get dist-upgrade" and Xplico works perfectly (this is for Gnome 32-bit). Sneaky little elves...sneaky. Love you guys. Thanks.

    Have an OUTSTANDING day!
    Last edited by qhent; 06-01-2011 at 06:10 PM.

Similar Threads

  1. Compiling xplico
    By vvpalin in forum BackTrack Howtos
    Replies: 9
    Last Post: 03-18-2011, 09:27 PM
  2. Xplico 0.5.5
    By skinnypuppy in forum Tool Requests
    Replies: 7
    Last Post: 02-26-2010, 08:04 PM
  3. xplico
    By haakneus in forum Tool Requests
    Replies: 10
    Last Post: 01-18-2010, 04:04 PM
  4. installare xplico
    By YamaArashi in forum Supporto Software
    Replies: 2
    Last Post: 11-25-2009, 05:31 AM
  5. request Xplico
    By keeley in forum OLD BackTrack 4 Package and feature Requests
    Replies: 3
    Last Post: 09-09-2009, 12:59 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •